<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [ReputationFormulas](./bitburner.reputationformulas.md) &gt; [calculateFavorToRep](./bitburner.reputationformulas.calculatefavortorep.md)

## ReputationFormulas.calculateFavorToRep() method

Calculate the total required amount of faction reputation to reach a target favor.

**Signature:**

```typescript
calculateFavorToRep(favor: number): number;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  favor | number | target faction favor. |

**Returns:**

number

The calculated faction reputation required.

